Bug 394751 - Review Request: kmplayer - Video plugin for Konqueror and basic Gstreamer/Xine frontend
Review Request: kmplayer - Video plugin for Konqueror and basic Gstreamer/Xin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 14:02 EST by Rex Dieter
Modified: 2008-01-15 12:05 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.10.0c-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:00:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-11-21 14:02:14 EST
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kmplayer/kmplayer.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kmplayer/kmplayer-0.10.0a-1.src.rpm
Description:
Video plugin for Konqueror and basic Gstreamer/Xine frontend

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=253309
Comment 1 Rex Dieter 2008-01-07 08:48:34 EST
Upstream update:

Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kmplayer/kmplayer.spec
SRPM URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kmplayer/kmplayer-0.10.0c-1.src.rpm

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=330742

(using x86_64 rpms):
rpmlint kmplayer-*.rpm
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/ru/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/sv/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/et/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/it/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/fr/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/es/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/en/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/de/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/pt/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/da/kmplayer/common ../common
kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/nl/kmplayer/common ../common
kmplayer.x86_64: E: invalid-soname /usr/lib64/libkmplayercommon.so
libkmplayercommon.so
kmplayer.x86_64: E: invalid-soname /usr/lib64/libkdeinit_kmplayer.so
libkdeinit_kmplayer.so

These are all expected/harmless wrt kde apps/packages.
Comment 2 manuel wolfshant 2008-01-07 15:42:17 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: x86_64 local + all arch supported by koji scratch build
 [x] Rpmlint output:
source rpm:  E: unknown-key GPG#ff6382fa (ignorable)
binary rpm:
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/ru/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/sv/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/et/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/it/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/es/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/fr/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/en/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/de/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/pt/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/da/kmplayer/common ../common
 kmplayer.x86_64: W: dangling-relative-symlink
/usr/share/doc/HTML/nl/kmplayer/common ../common
 kmplayer.x86_64: E: invalid-soname /usr/lib64/libkdeinit_kmplayer.so
libkdeinit_kmplayer.so
 kmplayer.x86_64: E: invalid-soname /usr/lib64/libkmplayercommon.so
libkmplayercommon.so
KDE specific, ignorable
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type:
        in %tag: GPLv2+
        source files' licenses: GPLv2+ and LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 52bfa017e1360fdc60c10445090c867039da4830
kmplayer-0.10.0c.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: ppc/ppc64/x86/x86_64 (koji scratch build)
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.
=== Issues ===
1. The license tag and the licenses from the source files do not coincid. Some
of the licenses used by the source files are  GPLv2+ but others are LGPLv2+ (see
kmplayer_def.h, kmplayer_koffice_part*, viewarea.cpp, xineplayer.h and maybe
others ). Because of this I think that the correct license tag should be "
GPLv2+ and LGPLv2+". If I am wrong, please correct me.
2. The desktop file (kmplayer.desktop) has a small error. According to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755
the icon tag can be specified either as a full path to specific icon file or a
short name without file extension. You have used a short name WITH extension
3. Minor: there is a duplicate BR:cairo-devel (by gtk2-devel)

I'll trust you to fix these issues before uploading to CVS.


=== Final Notes ===
1. The package does contain .la files but they are needed for runtime (KDE
specific requirement).
2. I had not yet the opportunity to test the program and I cannot do it now. I
will do it in a couple of hours and come back with the final of the review.
                                  
Comment 3 manuel wolfshant 2008-01-08 04:36:27 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated


=== SUGGESTED ITEMS ===
 [x] Package functions as described.


=== APPROVED === but please do not forget about the first two issues mentioned
in comment #2
Comment 4 Rex Dieter 2008-01-08 08:38:39 EST
Thanks Manuel!

New Package CVS Request
=======================
Package Name: kmplayer
Short Description: Video plugin for Konqueror and basic Gstreamer/Xine 
frontend
Owners: rdieter
Branches: EL-5 F-7 F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-01-08 11:41:52 EST
cvs done.
Comment 6 Rex Dieter 2008-01-08 12:43:30 EST
I'll patch the .desktop file, you're right on there.

Re: licensing.  LGPL linked with GPL stuff -> GPL
Comment 7 manuel wolfshant 2008-01-11 10:05:34 EST
time to close the bug ?
Comment 8 Rex Dieter 2008-01-11 10:16:52 EST
definitely.
Comment 9 Fedora Update System 2008-01-11 17:00:49 EST
kmplayer-0.10.0c-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-01-11 17:09:59 EST
kmplayer-0.10.0c-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 manuel wolfshant 2008-01-15 11:39:48 EST
Rex, you've added a changelog entry mentioning patching the desktop file but you
forgot to actually patch it :)
Comment 12 Rex Dieter 2008-01-15 11:56:46 EST
doh! thx, will fix that...
Comment 13 manuel wolfshant 2008-01-15 12:05:41 EST
BTW, I know it is not 100% kosher but in my opinion this minor change is not
worth a rebuild.
I suggest uploading the corrected spec to CVS and make tag/build only when it's
time will come (i.e. more serious modifications / next release / etc.)

Note You need to log in before you can comment on or make changes to this bug.